Bug 223393 - SCSI disk I/O with Emulex adapters on Linux RHEL4U4 may experience Linux �mkfs� process hangs.
SCSI disk I/O with Emulex adapters on Linux RHEL4U4 may experience Linux �m...
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Coughlan
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-18 18:52 EST by Paul Hinchman
Modified: 2010-06-07 01:36 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-07 01:36:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
strace on hung mkfs process (24.50 KB, application/msword)
2007-01-18 18:52 EST, Paul Hinchman
no flags Details
Clipping of test-tool log showing hung mkfs process (740.61 KB, application/x-zip-compressed)
2007-01-18 19:05 EST, Paul Hinchman
no flags Details

  None (edit)
Description Paul Hinchman 2007-01-18 18:52:27 EST
Description of problem:
I/O intensive user applications running on RedHat Enterprise Linux 4 update 4 
and using Emulex host bus adapters and the Emulex driver version 8.0.16.27, 
may experience process hangs of the Linux filesystem creation process called 
mkfs.  An examination of both the Emulex code tree and behaviors, as well as 
RHEL 4 U4 mkfs behaviors, leads HP and Emulex to believe this is a filesystem 
or other RHEL 4 related problem.

When a mkfs process hang occurs on a SCSI disk device, concurrent raw I/O to 
the disk device in question is unaffected.  All filesystem I/O to the affected 
device will wait for successful completion of the mkfs process before they can 
execute.  Filesystem and raw I/O processes to other disk devices are 
unaffected.


Version-Release number of selected component (if applicable):


How reproducible:
100%

Steps to Reproduce:
1. Use test tool that will mount, mkfs and run intensive FS I/O to several 
devices attached in a SAN (fibre-channel)
2. Monitor various system logs and ps functions to watch for hung mkfs 
process, as well as cessation of FS I/O to the affected device (can take up to 
9 hours to see).
3. Monitor any test-tool alerts, if provided, for hung or time-out processes.
  
Actual results:
mkfs process hang occurs after several hours of I/O, can take up to nine hours 
to clear.  FS I/O ceases to the affected device.


Expected results:
mkfs should complete gracefully, terminate, and I/O should be successfully 
executed on the device(s) under test.


Additional info:  Please see attached strace file
Comment 1 Paul Hinchman 2007-01-18 18:52:27 EST
Created attachment 145954 [details]
strace on hung mkfs process
Comment 2 Paul Hinchman 2007-01-18 19:05:29 EST
Created attachment 145955 [details]
Clipping of test-tool log showing hung mkfs process
Comment 3 Phil Knirsch 2007-01-31 05:41:17 EST
Kernel request, reassigning.

Read ya, Phil
Comment 5 Ernie Petrides 2007-09-27 18:17:46 EDT
Hi, Paul.  Are you trying to do raw i/o to the same device that mkfs is
using?  Are you getting physical i/o errors, and if so, what are they?

Note You need to log in before you can comment on or make changes to this bug.